/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;

import java.util.Date;


/**
 * 系统信息中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-04 18:05:13  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "系统信息中间表")
public class MidProjectInfo implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_startTime = "startTime";
  public static final String KEY_productionTime = "productionTime";
  public static final String KEY_deleted = "deleted";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="系统id-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 系统开始时间<br>
   */
  @ApiModelProperty("系统开始时间")
  private Date startTime;
  /**
   * 系统上线时间<br>
   */
  @ApiModelProperty("系统上线时间")
  private Date productionTime;
  /**
   * 逻辑删除<br>
   */
  @ApiModelProperty("逻辑删除")
  private Boolean deleted;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 系统开始时间<br>
   */
  public Date getStartTime()
  {
      if(startTime != null)
    {
      return (Date)startTime.clone();
    }
    return null;
    }

  /**
   * 系统开始时间<br>
   *
   * @param startTime 系统开始时间
   */
  public void setStartTime(Date startTime)
  {
      if(startTime != null)
    {
      this.startTime = (Date)startTime.clone();
    }
    }
  /**
   * 系统上线时间<br>
   */
  public Date getProductionTime()
  {
      if(productionTime != null)
    {
      return (Date)productionTime.clone();
    }
    return null;
    }

  /**
   * 系统上线时间<br>
   *
   * @param productionTime 系统上线时间
   */
  public void setProductionTime(Date productionTime)
  {
      if(productionTime != null)
    {
      this.productionTime = (Date)productionTime.clone();
    }
    }
  /**
   * 逻辑删除<br>
   */
  public Boolean getDeleted()
  {
      return deleted;
    }

  /**
   * 逻辑删除<br>
   *
   * @param deleted 逻辑删除
   */
  public void setDeleted(Boolean deleted)
  {
      this.deleted = deleted;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public MidProjectInfo()
  {
  }

}
